package org.seasar.strutsel.taglib.html;

import java.beans.IntrospectionException;
import java.beans.PropertyDescriptor;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Iterator;
import java.util.List;

import org.seasar.strutsel.taglib.html.ELSubmitTag;

public class ELSubmitTagBeanInfo extends org.apache.strutsel.taglib.html.ELSubmitTagBeanInfo
{
    public  PropertyDescriptor[] getPropertyDescriptors()
    {
        ArrayList proplist = new ArrayList();

        PropertyDescriptor[] normal = super.getPropertyDescriptors();

        List l = Arrays.asList(normal); 
        for (Iterator i = l.iterator(); i.hasNext();) {
        	proplist.add((PropertyDescriptor) i.next());
        }
        
        try {
            proplist.add(new PropertyDescriptor("indexId", ELSubmitTag.class,
                                                null, "setIndexIdExpr"));
        } catch (IntrospectionException ex) {}

        try {
            proplist.add(new PropertyDescriptor("action", ELSubmitTag.class,
                                                null, "setActionExpr"));
        } catch (IntrospectionException ex) {}

        
        PropertyDescriptor[] result =
            new PropertyDescriptor[proplist.size()];
        return ((PropertyDescriptor[]) proplist.toArray(result));
    }
}
	